--local S = minetest.get_translator(minetest.get_current_modname())

if minetest.global_exists("stairsplus") then

	stairsplus:register_all("artdeco","stonewall","artdeco:stonewall", {
		description = "Artdeco stonewall",
		tiles = {"artdeco_stonewall.png"},
		groups = {cracky=3, stone=2},
		is_ground_content = false,
		sounds = default.node_sound_stone_defaults(),
	})

	stairsplus:register_all("artdeco","whitegardenstone","artdeco:whitegardenstone", {
		description = "ArtDeco white garden stone",
		tiles = {"artdeco_whitegardenstone.png"},
		groups = {crumbly=2, falling_node=1},
		is_ground_content = false,
		sounds = default.node_sound_dirt_defaults({
			footstep = {name="default_gravel_footstep", gain=05},
			dug = {name="default+gravel_footstep", gain=1.0},
		}),
	})

	stairsplus:register_all("artdeco","tile1","artdeco:tile1", {
		description = "ArtDeco tile1",
		tiles = {"artdeco_tile1.png"},
		groups = {cracky=3, stone=2},
		is_ground_content = false,
		sounds = default.node_sound_stone_defaults(),
	})
	stairsplus:register_all("artdeco","tile2","artdeco:tile2", {
		description = "ArtDeco tile2",
		tiles = {"artdeco_tile2.png"},
		groups = {cracky=3, stone=2},
		is_ground_content = false,
		sounds = default.node_sound_stone_defaults(),
	})

	stairsplus:register_all("artdeco","tile3","artdeco:tile3", {
		description = "ArtDeco tile3",
		tiles = {"artdeco_tile3.png"},
		groups = {cracky=3, stone=2},
		is_ground_content = false,
		sounds = default.node_sound_stone_defaults(),
	})

	stairsplus:register_all("artdeco","tile4","artdeco:tile4", {
		description = "ArtDeco tile4",
		tiles = {"artdeco_tile4.png"},
		groups = {cracky=3, stone=2},
		is_ground_content = false,
		sounds = default.node_sound_stone_defaults(),
	})

	stairsplus:register_all("artdeco","tile5","artdeco:tile5", {
		description = "ArtDeco tile5",
		tiles = {"artdeco_tile5.png"},
		groups = {cracky=3, stone=2},
		is_ground_content = false,
		sounds = default.node_sound_stone_defaults(),
	})

	stairsplus:register_all("artdeco","2d","artdeco:2d", {
		description = "ArtDeco 2d",
		tiles = {"artdeco_2d.png"},
		groups = {cracky=3, stone=2},
		is_ground_content = false,
		sounds = default.node_sound_stone_defaults(),
	})

	stairsplus:register_all("artdeco","1e","artdeco:1e", {
		description = "ArtDeco 1e",
		tiles = {"artdeco_1e.png"},
		groups = {cracky=3, stone=2},
		is_ground_content = false,
		sounds = default.node_sound_stone_defaults(),
	})

	stairsplus:register_all("artdeco","ceilingtile","artdeco:ceilingtile", {
		description = "ArtDeco ceiling tile",
		tiles = {"artdeco_ceiling_tile.png"},
		groups = {cracky=3, stone=2},
		is_ground_content = false,
		sounds = default.node_sound_stone_defaults(),
	})
	stairsplus:register_all("artdeco","italianmarble","artdeco:italianmarble", {
		description = "ArtDeco Italian Marble",
		tiles = {"artdeco_italian_marble.png"},
		groups = {cracky=3, stone=2},
		is_ground_content = false,
		sounds = default.node_sound_stone_defaults(),
	})
end
